import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class MonthButtonPanel extends ButtonPanel {


  public MonthButtonPanel(CalendarBox cal)
  {
    super();
    calendar = cal;
    updateButton.setVisible(false);
  }
  
  public void nextButtonPressed()
  {
    
    System.out.println(">: Month button panel mouse clicked event \n");
    calendar.nextMonth();

  }
  public void previousButtonPressed()
  {
    System.out.println("< in Month panel pressed");
    calendar.previousMonth();
  }
  

  public void currentButtonPressed()
  {

    System.out.println("Current in month panel pressed");
  }

  public void updateButtonPressed()
  {
    System.out.println("update in month panel pressed");

  }

  private CalendarBox calendar;
}



